API Change Log - 28 July 2026

Invoices

  • API Endpoint: {api_url}/v1/invoices/group_invoice_id/invoices/invoice_id
  • Scenario: To remove an invoice from a group invoice.
  • API method: DELETE
  • Earlier behavior: -
  • New behavior: -

Invoices

  • API Endpoint: {api_url}/v1/invoices/{invoice_id}/tips
  • Scenario: To fetch saved employee tips for a single/group invoice.
  • API method: GET
  • Earlier behavior: NA
  • New behavior: NA

Guests

  • API Endpoint: {api_url}/v1/guests
  • Scenario: The Guest Create API has been enhanced to accept an optional user_type field in the request body, allowing any flow to create a user as Guest or Lead. Defaults to Guest when omitted.
  • API method: POST
  • Earlier behavior: The POST /v1/guests endpoint always created the user as a Guest regardless of the source or any input. There was no mechanism to create a user with any
    other type such as Lead through this endpoint. The user type was hardcoded to Guest
  • New behavior: The POST /v1/guests endpoint now accepts an optional user_type field in the request body. The caller can explicitly pass 0 (Guest) or 4 (Lead) to control
    the type of user being created. When user_type is omitted, it defaults to Guest. The response now includes user_type_id returning the GUID of the resolved
    user type from the database.

Guests

  • API Endpoint: {api_url}/v1/guests/{guest_id}

  • Scenario: The Guest Update API has been enhanced to accept an optional user_type field in the request body, allowing conversion of a guest's UserType between Guest and Lead. The response now returns user_type as a UserTypeIds enum integer

  • API method: PUT

  • Earlier behavior: The API request model did not include the UserType field. As a result, the API did not support updating the user's type during an update operation, and the existing UserType remained unchanged.

  • New behavior: The API request model now includes the UserType field. When a valid UserType is provided:

    0 → Updates the user as Guest
    4 → Updates the user as Lead

    If the UserType field is omitted, the existing user's UserType remains unchanged.